2004-05-27  Tom Yu  <tlyu@mit.edu>

	* client.c: rpcint_32 -> int32_t.

	* server.c: Update names of AUTH_GSSAPI functions.

2004-04-02  Ken Raeburn  <raeburn@mit.edu>

	* lib/helpers.exp (expect_kadm_ok): Check for "ERROR" messages and
	report them.

2004-02-27  Ken Raeburn  <raeburn@mit.edu>

	* lib/helpers.exp (expect_kadm_ok): Check for eof and report a
	specific error for that case.

2004-02-13  Tom Yu  <tlyu@mit.edu>

	* config/unix.exp (PRIOCNTL_HACK): Use "==" instead of "eq", which
	is not present in tcl-8.3.

2004-02-12  Tom Yu  <tlyu@mit.edu>

	* configure.in: Invoke KRB5_AC_PRIOCNTL_HACK.

	* config/unix.exp (PRIOCNTL_HACK): Wrap "spawn" to do priocntl
	things to work around Solaris 9 pty-close bug.

2003-12-02  Ken Raeburn  <raeburn@mit.edu>

	* lib/helpers.exp (expect_kadm_ok, eof_client): Accept and ignore
	debugging messages starting "marshall_new_creds" or "gssapi_", and
	blank lines.

2003-01-07  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.ov: Deleted.

2002-11-14  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (unit-test-ok): Depend only on unit-test-body.
	(unit-test-body): Remove krb5cc_rpc_test_* on entry and on
	successful exit.  On error exit, let the trap handler do all the
	cleanup.  Incorporate old unit-test-setup commands.
	(unit-test-setup, unit-test-cleanup): Targets deleted.
	* lib/helpers.exp (start_client, wait_client): Set KRB5CCNAME to
	something in the current directory.

2002-11-11  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (unit-test-body): Set RPC_TEST_SRVTAB based on
	process-id.  Set trap handler to delete it before returning an
	exit status.
	(unit-test-cleanup): Don't delete files here.

2002-11-07  Tom Yu  <tlyu@mit.edu>

	* rpc_test.0/expire.exp (overlap): Add another call to
	flush_server to make a race condition a little less likely.  There
	really should be better synchronization, as this test suite is
	just full of race conditions waiting to happen.

2002-09-15  Ken Raeburn  <raeburn@mit.edu>

	* lib/helpers.exp (setup_database): Use "!=" instead of "ne" for
	string comparisons.

2002-09-15  Tom Yu  <tlyu@mit.edu>

	* lib/helpers.exp (expect_tcl_prompt): Use the "-re" flag, and
	match end of output.
	(expect_kadm_ok): s/error/perror.
	(setup_database): Work around tcl 8.4's (incorrect?) output EOL
	translation.

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Revert $(S)=>/ change, for Windows support.

2002-08-26  Ezra Peisach  <epeisach@bu.edu>

	* configure.in: Use $krb5_cv_host instead of $host. 

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2002-06-09  Ken Raeburn  <raeburn@mit.edu>

	* config/unix.exp (top level): Load helpers.exp here, to make
	sure database setup happens properly.

2002-01-08  Ken Raeburn  <raeburn@mit.edu>

	* lib/helpers.exp (set_from_env, expect_tcl_prompt,
	send_tcl_cmd_await_echo, expect_kadm_ok, setup_database): New
	procs.
	(top level): Do database setup here...
	* Makefile.in (unit-test-setup): ...not here.

2001-07-26  Ezra Peisach  <epeisach@mit.edu>

	* client.c: Change local variable count from int to unsigned int.

	* server.c (log_badauth_display_status_1): Argument to
	gss_display_status should be OM_uint32 * instead of int *.

2001-07-09  Ezra Peisach  <epeisach@mit.edu>

	* rpc_test_clnt.c, rpc_test_svc.c: Include string.h for memset
	prototype.

2001-07-02  Ezra Peisach  <epeisach@mit.edu>

	* rpc_test_svc.c: Change rpc_test_prog_1 to
	rpc_test_prog_1_svc.

	* rpc_test.h: Create prototypes for rpc_test_echo_1_svc and
	rpc_test_prog_1_svc.

	* server.c: Declare usage and handlesig static.  Change
	rpc_test_echo_1 to rpc_test_echo_1_svc and rpc_test_prog_1 to
	rpc_test_prog_1_svc.

2001-06-08  Ezra Peisach  <epeisach@mit.edu>

	* client.c: Include unistd.h for getopt() prototype. 

	* configure.in: Check for unistd.h.

	* server.c: Include unistd.h for getopt() prototype. Fix
	rpc_test_badauth() prototype to be consistant with error
	handler. Declare main as returning int. If POSIX_SIGNALS is
	defined, the handler expects an argument.

2001-06-07  Ezra Peisach  <epeisach@mit.edu>

	* server.c (log_badauth_display_status_1): Do not assume that
	gss_buffer_desc strings are '\0' terminated.

2001-06-05  Ezra Peisach  <epeisach@mit.edu>

	* server.c (log_badauth_display_status_1): Need value element of
	gss_buffer_desc for printf.

	* client.c (main): Missing arguments to printf fixed.

2001-04-24  Ezra Peisach  <epeisach@mit.edu>

	* client.c (main): Ensure that end of string is NULL terminated
 	instead of assuming buffer initialized to 0. Include <string.h>
 	for memset prototype.

2000-07-01  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (unit-test-body): Combine -tcp and -udp versions,
	setting PASS instead of PROT.
	* configure.in: Set and substitute PASS instead of UDP_TEST.
	* config/unix.exp: Don't invoke rpc_test_start.  Set MULTIPASS,
	including a setting for PROT and a dummy to trigger rpc_test_start
	invocation.
	(rpc_test_start): If a server has already been started, call
	rpc_test_exit to verify that it's still running.

2000-06-30  Tom Yu  <tlyu@mit.edu>

	* server.c: Include gssrpc/pmap_clnt.h in order to get renaming of
	pmap_unset().  From Nathan Neulinger.

2000-06-30  Ken Raeburn  <raeburn@mit.edu>

	* rpc_test_setup.sh: Error out if server_handle doesn't get set in
	the Tcl script.

2000-06-08  Tom Yu  <tlyu@mit.edu>

	* lib/helpers.exp (kinit): Move "expect eof" into the commands
	that send the prompt.  Don't "expect eof" outside of the main
	expect, as the main expect may have already read eof.

2000-02-15  Tom Yu  <tlyu@mit.edu>

	* server.c: Add code to set a signal handler for SIGHUP and a few
	others so that purify will actually generate memory leak reports.

	* configure.in: Add CHECK_SIGNALS.

2000-02-07  Tom Yu  <tlyu@mit.edu>

	* config/unix.exp: Call send_error instead of fail to prevent
	referencing variables not yet set up by the test framework.

	* lib/helpers.exp: Call kinit and kdestroy with the -5 flag to
	deal with new program behavior.  Also call perror rather than
	error to avoid spewing a stack trace.

1999-10-26  Wilfredo Sanchez  <tritan@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup.

1999-09-21  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (unit-test-body-tcp, unit-test-body-udp): Pass
	$(RUNTESTFLAGS) to runtest.

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)

	* configure.in: Use K5_AC_OUTPUT instead of K5_OUTPUT_FILES.

Fri Feb 13 21:28:18 1998  Tom Yu  <tlyu@mit.edu>

	* client.c: Update header locations.  Rename of xdr_free.

	* rpc_test.h: Update header locations.

	* server.c: Update header locations.

Thu Feb 12 16:39:38 1998  Tom Yu  <tlyu@mit.edu>

	* client.c (main): Tweak the kludge variable
	krb5_gss_dbg_clietn_expcreds so we can send expired creds to the
	server.

Mon Feb  2 16:59:48 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Thu Oct  9 20:58:35 1997  Tom Yu  <tlyu@mit.edu>

	* configure.in, Makefile.in: Add test to disable udp test under
 	Solaris 2.0 thru 2.5; a getsockname() bug prevents channel
	bindings from working.

Thu Feb  6 15:58:52 1997  Tom Yu  <tlyu@mit.edu>

	* Makefile.in:
	* configure.in: Update to new program build procedure.

Wed Nov 20 16:00:21 1996  Barry Jaspan  <bjaspan@mit.edu>

	* Makefile.in (unit-test-): warn more loudly about unrun tests

Thu Nov 14 22:27:05 1996  Tom Yu  <tlyu@mit.edu>

	* server.c (main): Add declaration of optind for systems that
	don't have it in stdio.h or the like.

Thu Nov 14 15:27:05 1996  Barry Jaspan  <bjaspan@mit.edu>

	* rpc_test_setup.sh: VERBOSE is now inherited from env-setup.sh

Wed Nov 13 10:00:05 1996  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in (clean): Remove test programs and objects.

Tue Nov 12 16:27:51 1996  Barry Jaspan  <bjaspan@mit.edu>

	* lib/helpers.exp, client.c, server.c, config/unix.exp,
 	Makefile.in: test GSS-RPC with both TCP and UDP transport layers
 	[krb5-libs/180]

Tue Nov 12 14:58:20 1996  Tom Yu  <tlyu@mit.edu>

	* rpc_test_setup.sh: Fix test of $VERBOSE_TEST so that $VERBOSE
	only gets set if $VERBOSE_TEST is not empty.

Mon Nov 11 20:52:27 1996  Tom Yu  <tlyu@mit.edu>

	* rpc_test_setup.sh: Use a temp file rather than a here document
	feeding into eval because Ultrix sh doesn't deal.

	* configure.in: Add AC_CANONICAL_HOST to deal with new pre.in.

Mon Nov 11 14:22:30 1996  Tom Yu  <chaoself@avalanche-breakdown.mit.edu>

	* Makefile.in (client.o, server.o): client.o and server.o, not
	client.c and server.c, depend on rpc_test.h.

Thu Nov  7 16:16:38 1996  Tom Yu  <tlyu@mit.edu>

	* configure.in: Remove spurious KRB_INCLUDE and WITH_CCOPTS.

	* Makefile.in (server.o): Fix typo in previous checkin.

Wed Nov  6 16:12:26 1996  Tom Yu <tlyu@mit.edu>
	* Makefile.in: Add dependencies on $(srcdir)/foo.c so that some
	makes can deal with VPATH properly (e.g. NetBSD pmake)

Mon Nov  4 23:12:06 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* server.c: We don't need the special case for linux anymore,
 		since we're including the output from rpcgen in the source
 		tree now.

Thu Oct 31 13:14:45 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in (client,server): Use $(LD) instead of $(CC) in link
		stage. 

Thu Oct 31 08:47:47 1996  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in: Only run tests if required programs, libraries
		available.  

	* configure.in: Check for runtest, Perl, and tcl before making checks. 


Thu Oct 24 17:20:11 1996  Barry Jaspan  <bjaspan@mit.edu>

	* Makefile.in, rpc_test_clnt.c, rpc_test_svc.c, rpc_test.h:
 	distribute generated rpc_test_* files instead of running rpcgen on
 	rpc_text.x [krb5-admin/133]

Wed Oct 16 16:13:13 1996  Barry Jaspan  <bjaspan@mit.edu>

	* rpc_test.0/expire.exp: add test for expired credentials
	[krb5-admin/17]
	
	* server.c (log_miscerr): add log_miscerr

	* Makefile.in: don't delete rpc_test.x, we might be in souce tree

Tue Oct 15 16:12:04 1996  Barry Jaspan  <bjaspan@mit.edu>

	* initial changes to make rpc unit tests work with new build/test
 	system

